Mlucas 14.1 <http://hogranch.com/mayer/README.html>

mlucas is an open-source (and free/libre) program
for performing Lucas-Lehmer test on prime-exponent Mersenne numbers,
that is, integers of the form 2 ^ p - 1, with prime exponent p.
In short, everything you need to search for world-record Mersenne primes!
It has been used in the verification of various Mersenne primes,
including the 45th, 46th and 48th found Mersenne prime.

You may use it to test any suitable number as you wish,
but it is preferable that you do so in a coordinated fashion,
as part of the Great Internet Mersenne Prime Search (GIMPS).
For more information on GIMPS,
see <http://www.mersenne.org/prime.html> for details.

Menu:
	Installation
	Usage
	News
	Licensing
	Bugs
	Copyright

Installation:
	Generic installation guide can be found in INSTALL.

	Basically, the 5 steps
	1. $ mkdir build && cd build
	2. $ ../configure
	3. $ make -j
	or $ make
	4. $ make check
	5. $ make install
	will complete the installation.

	Normally, configure should guess your system configuration.
	However, you can always override it by passing flags to configure.

	Running test in step 4 is optional.
	Run it if you want to be safe or have passed flags to configure.

	Below is a summary of the custom options understood by configure.
	You can read all options by running `$ ../configure -h' in step 2

Custom Options:
(please note that all options mentioned below does NOT override one another)

  --enable-NORMAL-CFLAGS='FOO' or --disable-NORMAL-CFLAGS
                          set CFLAGS for normal source files to FOO or nothing
                          ['-Os']
  --enable-TRICKY-CFLAGS='FOO' or --disable-TRICKY-CFLAGS
                          set CFLAGS for optimization-sensitive source files
                          to FOO or nothing ['-O1']
  CFLAGS='FOO'            set CFLAGS for all source files to FOO ['']
  CPPFLAGS='FOO'          set CPPFLAGS for all source files to FOO ['']
  LDFLAGS='FOO'           set LDFLAGS for all linking to FOO ['']
  --host='FOO'            skip autodetection and force detecting host as FOO
                          (set --host=none to disable host-specific
                          compilation flags)
  --enable-instruction=[SSE2|AVX|AVX2] or --disable-instruction
                          build with SSE2, AVX, AVX2 or without extended
                          instruction set
  --disable-threads       force building without multithread-support
  --enable-MLUCAS-DEFAULT-PATH
                          set MLUCAS_DEFAULT_PATH (unset by default) to
                          "$HOME/.mlucas.d/"
  --disable-silent-rules  increase make verbosity
  --enable-verbose-compiler
                          enable verbose compiler

End of Custom Options

Usage:
	For local documentation, please refer to html/README.html
	For online documentation, please refer to
	http://hogranch.com/mayer/README.html
	To show the help menu of Mlucas, enter
	$ <BUILD_DIR>/mlucas -h
	After installation, you can read the man page by
	$ man mlucas

News:
	To read news taken from html/README.html in plain text, see NEWS.

Licensing:
	Most of the files are licensed under
	the GNU General Public License version 2 or later.
	Other files are under permissive licenses or in the public domain.
	All files except empty files or generated data
	should have a license header or footer.
	If not, please send a bug report (see section Bugs for details).

	See COPYING for details regarding licensing.

Bugs:
	The argument parser is buggy. The relative position of arguments is
	relevant to mlucas, the order of arguments in SYNOPSIS in mlucas(1)
	should be followed to avoid confusing the parser.
	Only 100, 1000 and 10000 are supported for -iters flag. However,
	the parser will not reject unsupported arguments. Using
	unsupported arguments for -iters flag may trigger strange behaviour.

	For problems regarding the program mlucas, please contact the author
	Ernst W. Mayer <ewmayer@aol.com>. For installation and documentation
	related problems regarding this package and this README, please
	contact Alex Vong <alexvong1995@gmail.com>.

	See BUGS section in mlucas(1) for details.

Copyright:
	README - readme for Mlucas
	Copyright (C) 2015  Alex Vong

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software Foundation,
	Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
